Subject: Re: bug#50483: [R] Package r-shiny: Shiny server logic inactive

From: Charles <[email-masked]>
Date: Thu, 16 Sep 2021 05:57:05 +0000

Hello, I am responsible to updating the minify build syste to use the updated uglifyjs (now node-uglify-js found in gnu/packages/uglifyjs.scm). When updating I noticed that some R packages had the input uglify-js (the old lisp one). I chose not mess with them at risk of breaking. What I failed to realize is that some R packages (like r-shiny) actually use the minify build-system to do the minifying, thus trying to call the updated uglifyer, while only importing the new one. Other R package like (r-shinytree) do not use the minify build system and instead directly call uglify-js using open-pipe* (these are the ones I didn't want to break).

I would highly suggest against using the old lisp uglifyer since it is outdated by 6 years, and if anyone decides to write some modern javascript, your package will break. Instead simply update the input to ("node-uglify-js" ,node-uglify-js) and don't forget to use module (gnu packages uglifyjs). For the packages like r-shinytree, I would suggest having them use the minify-build system like r-shiny (and also updating to the newer node-uglify-js). I have tested updaing the input, and it works for the ggplot2 example stated earlier in this thread.

Again I'm really sorry for not catching this. It is very late where I am, so if it isn't clear how to update, I can do it tomorrow.